/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 移动设备信息表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-21 14:10:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "移动设备信息表")
public class CdMobileDevice extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_modelId = "modelId";
  public static final String KEY_platform = "platform";
  public static final String KEY_platformVersion = "platformVersion";
  public static final String KEY_ctrlId = "ctrlId";
  public static final String KEY_registedTime = "registedTime";
  public static final String KEY_wdaUrl = "wdaUrl";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 128, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 型号id<br>
   */
  @ApiModelProperty("型号id")
  @Size(max = 32, message="型号id-modelId: 数据长度不能 > 32" )
  private String modelId;
  /**
   * 平台类型<br>
   */
  @ApiModelProperty("平台类型")
  @Size(max = 32, message="平台类型-platform: 数据长度不能 > 32" )
  private String platform;
  /**
   * 平台版本<br>
   */
  @ApiModelProperty("平台版本")
  @Size(max = 32, message="平台版本-platformVersion: 数据长度不能 > 32" )
  private String platformVersion;
  /**
   * 上位机id<br>
   */
  @ApiModelProperty("上位机id")
  @Size(max = 32, message="上位机id-ctrlId: 数据长度不能 > 32" )
  private String ctrlId;
  /**
   * 注册时间<br>
   */
  @ApiModelProperty("注册时间")
  private Date registedTime;

  @ApiModelProperty("wda地址")
  private String wdaUrl;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 型号id<br>
   */
  public String getModelId()
  {
      return modelId;
    }

  /**
   * 型号id<br>
   *
   * @param modelId 型号id
   */
  public void setModelId(String modelId)
  {
      this.modelId = modelId;
    }
  /**
   * 平台类型<br>
   */
  public String getPlatform()
  {
      return platform;
    }

  /**
   * 平台类型<br>
   *
   * @param platform 平台类型
   */
  public void setPlatform(String platform)
  {
      this.platform = platform;
    }
  /**
   * 平台版本<br>
   */
  public String getPlatformVersion()
  {
      return platformVersion;
    }

  /**
   * 平台版本<br>
   *
   * @param platformVersion 平台版本
   */
  public void setPlatformVersion(String platformVersion)
  {
      this.platformVersion = platformVersion;
    }
  /**
   * 上位机id<br>
   */
  public String getCtrlId()
  {
      return ctrlId;
    }

  /**
   * 上位机id<br>
   *
   * @param ctrlId 上位机id
   */
  public void setCtrlId(String ctrlId)
  {
      this.ctrlId = ctrlId;
    }

  public String getWdaUrl() {
    return wdaUrl;
  }

  public void setWdaUrl(String wdaUrl) {
    this.wdaUrl = wdaUrl;
  }

  /**
   * 注册时间<br>
   */
  public Date getRegistedTime()
  {
      if(registedTime != null)
    {
      return (Date)registedTime.clone();
    }
    return null;
    }

  /**
   * 注册时间<br>
   *
   * @param registedTime 注册时间
   */
  public void setRegistedTime(Date registedTime)
  {
      if(registedTime != null)
    {
      this.registedTime = (Date)registedTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public CdMobileDevice()
  {
  }

}
